Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class RevAnnContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.RevAnnContent

All Implemented Interfaces:
  DEREncodable

    public class RevAnnContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERGeneralizedTime` `getBadSinceDate()`
`CertId` `getCertId()`
`X509Extensions` `getCrlDetails()`
`static RevAnnContent` `getInstance(java.lang.Object o)`
`PKIStatus` `getStatus()`
`DERGeneralizedTime` `getWillBeRevokedAt()`
`DERObject` `toASN1Object()` RevAnnContent ::= SEQUENCE { status PKIStatus, certId CertId, willBeRevokedAt GeneralizedTime, badSinceDate GeneralizedTime, crlDetails Extensions OPTIONAL -- extra CRL details (e.g., crl number, reason, location, etc.) }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RevAnnContent getInstance(java.lang.Object o)

### getStatus

    public PKIStatus getStatus()

### getCertId

    public CertId getCertId()

### getWillBeRevokedAt

    public DERGeneralizedTime getWillBeRevokedAt()

### getBadSinceDate

    public DERGeneralizedTime getBadSinceDate()

### getCrlDetails

    public X509Extensions getCrlDetails()

### toASN1Object

    public DERObject toASN1Object()

       RevAnnContent ::= SEQUENCE {
             status              PKIStatus,
             certId              CertId,
             willBeRevokedAt     GeneralizedTime,
             badSinceDate        GeneralizedTime,
             crlDetails          Extensions  OPTIONAL
              -- extra CRL details (e.g., crl number, reason, location, etc.)
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45